﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.5
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Public vuetify As VuetifyApp
	Public BANano As BANano
	Private appmain As VLabel
	Private approuterview As VLabel
	Private apptransition As VTransition
	Private inspire As VApp
	Private appbar As VAppBar
	Private appdrawer As VNavigationDrawer
	Private apphamburger As VAppBarNavIcon
	Private applogo As VAvatar
	Private drwlist As VList
	Private drwoptions As VListOptions
	Private apptitle As VAppBarTitle
End Sub

Sub Init
	'initialize the app
	vuetify.Initialize(Me, Main.AppName)
	'set the app title
	vuetify.SetData("apptitle", Main.AppTitle)
	'load the base layout
	BANano.LoadLayout(vuetify.Here, "baselayout")
	'bind the evelements
	vuetify.BindVueElement(appmain.VElement)
	vuetify.BindVueElement(approuterview.VElement)
	vuetify.BindVueElement(apptransition.VElement)
	vuetify.BindVueElement(inspire.VElement)
	vuetify.BindVueElement(appbar.VElement)
	vuetify.BindVueElement(appdrawer.VElement)
	vuetify.BindVueElement(apphamburger.VElement)
	vuetify.BindVueElement(applogo.VElement)
	vuetify.BindVueElement(apptitle.VElement)
	
	'set the list options
	drwlist.SetOptions(drwoptions)
	vuetify.BindVueElement(drwlist.VElement)
	'
	'tell view about the router view
	vuetify.RouterViewName = approuterview.id
	
	'add other route component pages
	AddPages
	
	'add items to the drawer at runtime
	vuetify.SetMounted(Me, "onmounted", Null)
	'render the ux
	vuetify.Serve
End Sub

Sub onmounted
	'clear the drawer
	drwlist.ClearOnApp(vuetify)
	drwlist.AddHeader("Enhanced Design System")
	drwlist.AddItem("", "home", "mdi-home", "green", "Home", "/")
	drwlist.AddItem("", "one", "mdi-access-point-check", "orange", "One", "/one")
	drwlist.AddItem("", "two", "mdi-silverware", "brown", "Two", "/two")
	'refresh the drawer
	drwlist.RefreshOnApp(vuetify)
End Sub

'code to add other pages to the app
Sub AddPages
	ViewHome.Initialize 
	ViewOne.Initialize 
	ViewTwo.Initialize 
End Sub

Private Sub apphamburger_ClickStop (e As BANanoEvent)
	vuetify.Toggle(appdrawer.VModel)
End Sub

Private Sub drwlist_Click (item As Map)
	'vuetify.ShowSwal(BANano.ToJson(item))
End Sub